Editing articles on mr.wikipedia has overlays issues for anon users, makes text unreadable
Closed, InvalidPublic

Description

Screen shot of distortin of edit window for anon user at mr wikipedia

Hi
edit window at mr.wikipedia.org is apearing distorted to anonymous users (i.e. before or without signing in).

Wikipedia logo left hand menubar till interwiki links are getting shifted to edit area and distrting edit window view .

Please do help on priority and also keep us informed why this problem has apeared on mr wikipedia only .So it will help to avoid recurrance in future.

Thanks and Regards

Mahitgar from Marathi Wikipedia


Version: unspecified
Severity: major
URL: http://mr.wikipedia.org/w/index.php?title=राज्य&action=edit

Attached:

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz42170.
Mahitgar created this task.Via LegacyNov 15 2012, 11:11 PM
Aklapper added a comment.Via ConduitNov 16 2012, 2:42 PM

I can confirm this with Firefox 16.0.2 and Opera 12.02, and only when being not logged in. There is for example no problem on the Kannada Wikipedia (kn.wp).

Funny enough, for the last two minutes I could NOT reproduce it anymore on one machine. Adding &useskin=vector to the URL does not change the problem.

Mahitgar: Do you know when this problem started?

Dereckson added a comment.Via ConduitNov 16 2012, 2:58 PM

Created attachment 11376
Firefox edit behavior screenshot (can repro)

Attached:

Logicwiki added a comment.Via ConduitNov 17 2012, 4:57 AM

I am not able to reproduce in Chrome, but can reproduce on firefox. I changed the interface language with uselang=en to English, Tamil, Telugu, I was not able to reproduce in firefox as well.

A wild guess could be a cache issue and its loading older(?) site specific css mrwp uses for anonymous users.

Mahitgar added a comment.Via ConduitNov 21 2012, 4:24 PM

(In reply to comment #1)

Mahitgar: Do you know when this problem started?

:: Cant say exactly ,for me I have raised it on bugzilla instantly as I noticed it. (being regular user we usually log in and edit besides last moth I could log in very few times. Interestingly edits are beng received from anons and none has complained yet, but it is very usual for mr-wiki anons and new comers usually are shy to put up any complaints and another unfortunate part is other experienced usuers view anons as more of as an unwanted hassle and their issues get lesser attention)

::Most probably its a recent phenomenon in last couple of days

comment #1::

I can confirm this with Firefox 16.0.2 and Opera 12.02, and only when being not
logged in. There is for example no problem on the Kannada Wikipedia (kn.wp).

Funny enough, for the last two minutes I could NOT reproduce it anymore on one
machine. Adding &useskin=vector to the URL does not change the problem.

Mahitgar: Do you know when this problem started?

Mahitgar added a comment.Via ConduitNov 21 2012, 4:59 PM

(In reply to comment #3)

I do not see the problem at sister projects of mr- wise wiktionary, wikiquote wikibooks and wikisource .Problem is coming only at mr-wikipedia .

*By any chance any recent update in Narayam and has been implemented on mr-wiki only ?
*Or else any chance any problem arising out of recent http://mr.wikipedia.org/wiki/विकिपीडिया:चावडी/तांत्रिक_प्रश्न#Upcoming_software_changes_-_please_report_any_problems process ?

Rgds

I am not able to reproduce in Chrome, but can reproduce on firefox. I changed
the interface language with uselang=en to English, Tamil, Telugu, I was not
able to reproduce in firefox as well.

A wild guess could be a cache issue and its loading older(?) site specific css
mrwp uses for anonymous users.

Aklapper added a comment.Via ConduitNov 22 2012, 11:49 PM

CC'ing Siebrand - maybe has an idea of what's so special here.
On the other hand, might also be one of our on-and-off CSS loading issues with bits that we have. :/

Aklapper added a comment.Via ConduitDec 13 2012, 2:43 PM

Still a problem => CC'ing some more I18N developers, maybe somebody has an idea.

Nemo_bis added a comment.Via ConduitDec 13 2012, 5:34 PM

This doesn't seem an i18n issue at all.
[[mr:MediaWiki:Anoneditwarning]] was hijacked to show a ton of editnotices, and it further transcludes [[mr:सहाय्य:Anoneditwarning]] which is full of HTML I don't even want to look at.

That's almost certainly the cause and must be fixed by local sysop; even better (personal advice), you should blank both messages, I doubt such walls of text help your wiki.

Aklapper added a comment.Via ConduitDec 13 2012, 6:29 PM

Nemo: Thanks for investigating (plus I've learned something)!

Add Comment